Bug 208788 - IllegalStateException: startCreationOffset=694 > matchOffset=683
IllegalStateException: startCreationOffset=694 > matchOffset=683
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Painting & Printing
7.2
All All
: P2 (vote)
: 7.2
Assigned To: Miloslav Metelka
issues@editor
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-23 12:05 UTC by maghiel
Modified: 2012-03-01 11:02 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (6.37 KB, text/plain)
2012-02-23 12:05 UTC, maghiel
Details
stacktrace (6.37 KB, text/plain)
2012-02-23 12:11 UTC, maghiel
Details
stacktrace (6.37 KB, text/plain)
2012-02-24 01:26 UTC, schkovich
Details

Note You need to log in before you can comment on or make changes to this bug.
Description maghiel 2012-02-23 12:05:41 UTC
Build: NetBeans IDE Dev (Build 201202220400)
VM: Java HotSpot(TM) 64-Bit Server VM, 22.0-b10, Java(TM) SE Runtime Environment, 1.7.0_02-b13
OS: Windows 7

User Comments:
TheloniousBonk: I was editing a bash script and clicked Ctrl-S.

GUEST: Editing xml

GUEST: Saving an xml file

GUEST: Activating "Remove trailing whitespace" occurs this exception whenever the file is saved. Only when optin "never" is active, the save succeeds.

averri: Editing a XHTML file.




Stacktrace: 
java.lang.IllegalStateException: startCreationOffset=694 > matchOffset=683
   at org.netbeans.modules.editor.lib2.view.ViewBuilder.createViews(ViewBuilder.java:678)
   at org.netbeans.modules.editor.lib2.view.ViewBuilder.createReplaceRepaintViews(ViewBuilder.java:669)
   at org.netbeans.modules.editor.lib2.view.ViewUpdates.updateViewsByModification(ViewUpdates.java:303)
   at org.netbeans.modules.editor.lib2.view.ViewUpdates.removeUpdate(ViewUpdates.java:269)
   at sun.reflect.GeneratedMethodAccessor61.invoke(GeneratedMethodAccessor61.java:0)
   at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
Comment 1 maghiel 2012-02-23 12:05:43 UTC
Created attachment 116047 [details]
stacktrace
Comment 2 maghiel 2012-02-23 12:11:05 UTC
Created attachment 116049 [details]
stacktrace
Comment 3 Miloslav Metelka 2012-02-23 16:48:07 UTC
Reproduced.
Comment 4 schkovich 2012-02-24 01:26:05 UTC
Created attachment 116076 [details]
stacktrace

saving (ctrl+s) php file
Comment 5 Miloslav Metelka 2012-02-29 11:32:35 UTC
http://hg.netbeans.org/jet-main/rev/e126c8d0571e
Comment 6 Quality Engineering 2012-03-01 11:02:31 UTC
Integrated into 'main-golden', will be available in build *201203010400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/e126c8d0571e
User: Miloslav Metelka <mmetelka@netbeans.org>
Log: #208788 - IllegalStateException: startCreationOffset=694 > matchOffset=683.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo